Imports CommonBLEntities
Imports CharterDotCom.Library

Partial Class Controls_PayBillInfo
  Inherits System.Web.UI.UserControl

  Public Event InfoCollected()

  Protected Sub Page_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Load
    If Not IsPostBack Then
      vldEmailExpression.ValidationGroup = Me.ID
      vldPhoneNumberRequired.ValidationGroup = Me.ID
      vldPhoneNumberExpression.ValidationGroup = Me.ID
      vldZipCodeRequired.ValidationGroup = Me.ID
      vldZipCodeRegExp.ValidationGroup = Me.ID
      btnSubmit.ValidationGroup = Me.ID
    End If
  End Sub

  Protected Sub btnSubmit_Click(ByVal sender As Object, ByVal e As System.EventArgs) Handles btnSubmit.Click
    RaiseEvent InfoCollected()
  End Sub
End Class
